package fr.asip.cps3.exemple.vues.menus;

import java.awt.event.ActionListener;
import fr.asip.cps3.exemple.modele.objets.Token;

/**
 * Classe modélisant un item de menu de type Token
 * @author MCUG
 *
 */
public class ItemMenuToken extends ItemMenu {
	
	private static final long serialVersionUID = 7529493072942486572L;
	
	/**
	 * Token associé à l'item de menu
	 */
	private Token token;

	/**
	 * Constructeur à 5 arguments
	 * @param token Token associé à l'item de menu
	 * @param idParent Identifiant du menu parent
	 * @param enable Booléen attestant du caractère actionnable de l'item de menu
	 * @param visible Booléen attestant du caractère visible de l'item de menu
	 * @param ecouteur Ecouteur positionné sur l'item de menu
	 */
	public ItemMenuToken(Token token,String idParent, boolean enable, boolean visible, ActionListener ecouteur) {
		
		super(idParent+",", idParent, "", enable, visible, ecouteur);
		this.token = token;
		if(token != null) {
			setId(getIdParent()+","+token.getIdSlotToken());
			setText(token.getLibelle());
		}
		
	}

	/**
	 * Accesseur
	 * @return Token associé à l'item de menu
	 */
	public Token getToken() {
		return token;
	}


	
}
